For the complete documentation index, see llms.txt. This page is also available as Markdown.

Group

Snyk API reference for the Group endpoints, including request parameters and response schemas

This document uses the REST API. For more details, see the Authentication for API page.

Get Group (Early Access)

get

Get a group

Required permissions

  • View Groups (group.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
group_idstring · uuidRequired

Unique identifier of the group.

Example: 00000000-0000-0000-0000-000000000000
Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
200

Returns an instance of a Group

application/vnd.api+json
get/groups/{group_id}
GET /rest/groups/{group_id}?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": {
    "attributes": {
      "created_at": "2022-03-16T00:00:00Z",
      "name": "My Group",
      "updated_at": "2022-03-16T00:00:00Z"
    },
    "id": "00000000-0000-0000-0000-000000000000",
    "relationships": {
      "tenant": {
        "data": {
          "id": "00000000-0000-0000-0000-000000000000"
        }
      }
    },
    "type": "group"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "self": "https://example.com/api/this_resource"
  }
}

Last updated

Was this helpful?